#include "Dialog.h"

// The width of the exit dialog.
#define EXIT_DIALOG_WIDTH_ 120

// The height of the exit dialog.
#define EXIT_DIALOG_HEIGHT_ 32

// The x position that the exit dialog is drawn from.
#define EXIT_DIALOG_X_ 88

// The y position that all dialogs start from.
#define DIALOG_Y_ 44

// The y position that all dialog text starts from.
#define DIALOG_Y_TEXT_ 49

// The width of the resource dialog.
#define RESOURCE_DIALOG_WIDTH_ 120

u8 exitDialog(ALLEGRO_EVENT_QUEUE* eventQueue, ALLEGRO_EVENT* allegroEvent)
{
    al_draw_filled_rectangle(EXIT_DIALOG_X_ * scaleFactor, DIALOG_Y_ * scaleFactor, (EXIT_DIALOG_X_ + EXIT_DIALOG_WIDTH_) * scaleFactor, (DIALOG_Y_ + EXIT_DIALOG_HEIGHT_) * scaleFactor, al_map_rgb(0, 0, 128));
    drawString((EXIT_DIALOG_X_ + 8) * scaleFactor, (DIALOG_Y_TEXT_ + 6) * scaleFactor, "EXIT   Y OR N", al_map_rgb(255, 255, 255));
    al_flip_display();

    while (1)
    {
        al_wait_for_event(eventQueue, allegroEvent);

        if (allegroEvent->type == ALLEGRO_EVENT_KEY_DOWN)
        {
            if (allegroEvent->keyboard.keycode == ALLEGRO_KEY_Y)
            {
                // Clear game controls to prevent exit dialog begin shown again.
                gameControls.controlFlags = 0;

                return TRUE;
            }
            else if (allegroEvent->keyboard.keycode == ALLEGRO_KEY_N)
            {
                // Clear game controls to prevent exit dialog begin shown again.
                gameControls.controlFlags = 0;

                return FALSE;
            }
        }
    }
}