#!lua

solution "tins23"
    configurations { "Release", "Debug" }
    platforms { "native", "x32", "x64" }

    project "tins23"
        kind "ConsoleApp"
        language "C"
        files { "tins23/*.h", "tins23/*.c", "tins23/maps/*.*", "tins23/sprites/*.*" }
        links { "allegro", "allegro_font", "allegro_ttf", "allegro_primitives", "allegro_audio", "allegro_acodec" }
        excludes { "resource.h" }
        targetname "tins23"
        targetdir "build"

        configuration "Release"
            defines { "NEDEBUG" }
            flags { "Symbols" }

        configuration "Debug"
            defines { "DEBUG" }
            flags { "Symbols" }