#ifndef ACTOR_H
#define ACTOR_H

#include <allegro5/allegro.h>
#include "GameTypes.h"
#include "Object.h"

typedef struct Actor Actor;

struct Actor
{
    // Object containing position and velocity.
    Object object;

    // Number of hitpoints.
    u8 health;

    // Indicates whether the actor should be redrawn on screen.
    u8 redraw;
};

// Draws the actor on screen.
void drawActor(Actor* actor, ALLEGRO_BITMAP* actorSprite);

#endif