#ifndef CHART_H
#define CHART_H

#include <allegro5/allegro.h>
#include "GameState.h"
#include "GameTypes.h"
#include "Player.h"
#include "Menu.h"
#include "SpriteSets.h"
#include "Text.h"

// Displays the fish that the player has eaten in the level as a bar chart.
void displayFishChart(ALLEGRO_EVENT_QUEUE** eventQueue);

// Displays the bottom axis of the fish eaten chart.
void drawBottomAxis();

// The number of fish that the player has eaten of a given type.
u8 playerHasEaten(u8 type);

// Displays the data bars of the bar chart.
void drawDataBars();

// Displays the vertical axis of the fish eaten chart.
void drawVerticalAxis();

#endif